.page__loading {
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 111;
    opacity: 0.8;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center; 
}